Package org.pgpainless.exception

# Class MissingDecryptionMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bouncycastle.openpgp.PGPException
org.pgpainless.exception.MissingDecryptionMethodException

All Implemented Interfaces:
  `Serializable`

public class MissingDecryptionMethodException extends org.bouncycastle.openpgp.PGPException
Exception that is thrown when decryption fails due to a missing decryption key or decryption passphrase. This can happen when the user does not provide the right set of keys / the right password when decrypting a message.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingDecryptionMethodException(String message)`

## Method Summary

### Methods inherited from class org.bouncycastle.openpgp.PGPException

`getCause, getUnderlyingException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingDecryptionMethodException

public MissingDecryptionMethodException(String message)